package com.mortals.xhx.common.code;

import java.util.LinkedHashMap;
import java.util.Map;

/**
* 是否启用发送消息(0.停用,1.启用)枚举类
*
* @author zxfei
*/
public enum SendSwitchEnum {
    停用(0, "停用"),
    启用(1, "启用");
    private Integer value;
    private String desc;

    SendSwitchEnum(Integer value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public Integer getValue() {
        return this.value;
    }

    public String getDesc() {
        return this.desc;
    }

    public static SendSwitchEnum getByValue(Integer value) {
        for (SendSwitchEnum sendSwitchEnum : SendSwitchEnum.values()) {
            if (sendSwitchEnum.getValue() == value) {
                return sendSwitchEnum;
            }
        }
        return null;
    }

    /**
    * 获取Map集合
    *
    * @param eItem 不包含项
    * @return
    */
    public static Map<String, String> getEnumMap(Integer... eItem) {
        Map<String, String> resultMap = new LinkedHashMap<>();
        for (SendSwitchEnum item : SendSwitchEnum.values()) {
            try {
                boolean hasE = false;
                for (Integer e : eItem) {
                    if (item.getValue() == e) {
                        hasE = true;
                        break;
                    }
                }
                if (!hasE) {
                    resultMap.put(item.getValue() + "", item.getDesc());
                }
            } catch (Exception ex) {

            }
        }
        return resultMap;
    }
}